<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>


	<xsd:element name="TRANS_RES_2">
        <xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET_RES">
        <xsd:complexType>
            <xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
            </xsd:sequence>
        </xsd:complexType>
    </xsd:element>

	<xsd:element name="GET_MEETING_ROOM">
        <xsd:complexType>
            <xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
            </xsd:sequence>
        </xsd:complexType>
    </xsd:element>

  <xsd:element name="GET_CONFERENCE_TEMPLATE">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element ref="ID"/>
        <xsd:element ref="OBJ_TOKEN"/>
        <xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>

	<xsd:element name="AWAKE_MEETING_ROOM">
        <xsd:complexType>
            <xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
            </xsd:sequence>
        </xsd:complexType>
    </xsd:element>

  <xsd:element name="AWAKE_CONFERENCE_TEMPLATE">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element ref="ID"/>
        <xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>

	<xsd:element name="GET_PROFILE">
        <xsd:complexType>
            <xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
            </xsd:sequence>
        </xsd:complexType>
    </xsd:element>

	<xsd:element name="TERMINATE_RES">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="TERMINATE_MEETING_ROOM">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

  <xsd:element name="TERMINATE_CONFERENCE_TEMPLATE">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element ref="ID"/>
        <xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>

	<xsd:element name="TERMINATE_PROFILE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="CANCEL_REPEATED">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="REPEATED_ID"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="GET_DOUBLE_BOOKING">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element  ref="CONF_NAME"/>
				<xsd:element  ref="START_TIME"/>		<!-- in GMT !!!-->
				<xsd:element  ref="DURATION"/>
				<xsd:element  ref="PARTY_BOOKED_LIST"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="GET_PERIOD_PARTY_LIST">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element  ref="START_TIME"/>		<!-- in GMT !!!-->
				<xsd:element  ref="DURATION"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET_MEETING_ROOM"/>
      <xsd:element ref="GET_CONFERENCE_TEMPLATE"/>
			<xsd:element ref="GET_RES"/>						
			<xsd:element ref="TERMINATE_RES"/>					<!--not supported-->
			<xsd:element ref="TERMINATE_MEETING_ROOM"/>
      <xsd:element ref="TERMINATE_CONFERENCE_TEMPLATE"/>
			<xsd:element ref="TERMINATE_PROFILE"/>
			<xsd:element ref="CANCEL_REPEATED"/>				
			<xsd:element ref="GET_DOUBLE_BOOKING"/>				<!--not supported-->
			<xsd:element ref="GET_PERIOD_PARTY_LIST"/>			<!--not supported-->
			<xsd:element ref="GET_PROFILE"/>
			<xsd:element ref="AWAKE_MEETING_ROOM"/>				<!--not supported-->
      <xsd:element ref="AWAKE_CONFERENCE_TEMPLATE"/>   <!--not supported-->
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>